stages:
  - build  # Build python package

# Templates:
.python_build:
  stage: build
  image: python:3.7
  script:
    - echo $VERSION
    - pip install twine anybadge
    - python setup.py sdist bdist_wheel --version $VERSION
    - TWINE_PASSWORD=${CI_JOB_TOKEN} TWINE_USERNAME=gitlab-ci-token python -m twine upload --repository-url https://gitlab.ethz.ch/api/v4/projects/${CI_PROJECT_ID}/packages/pypi dist/* --verbose

# Tagged build
python_build_tag:
  extends: .python_build
  variables:
    VERSION: $CI_COMMIT_TAG
  after_script:
    - anybadge --label="Version Release" --file=version.svg --value=${VERSION}
  artifacts:
    paths:
      - version.svg
      - dist/cmr_rnd_diffusion-$VERSION-*.whl
  only:
    - tags

